# TaskFailureResult

interface TaskFailureResult : TaskExecutionResult, FailureResult

Describes how a task operation finished with failures.

#### Since

2.5

## Functions

getEndTime
Link copied to clipboard
abstract fun getEndTime(): Long
getExecutionReasons
Link copied to clipboard
abstract fun getExecutionReasons(): @Nullable List<String>
getFailures
Link copied to clipboard
abstract fun getFailures(): List<out Failure>
getStartTime
Link copied to clipboard
abstract fun getStartTime(): Long
isIncremental
Link copied to clipboard
abstract fun isIncremental(): Boolean